- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

AtaFileStruct |
AtaMMCState | Structure to hold the media ATA state values specific to MMCSD
AtaStateStruct |
CSL_AcClassStruct | AC Control Object structure
CSL_AcCtrlObject | USB AC Control Object structure
CSL_AcInitStructApp | Audio Class application data structure
CSL_AcLogicalUnit | Audio Class Logical unit structure
CSL_AcLunAttribApp | AC application Logical unit attribute structure
CSL_AcObject | USB Audio Class Object structure
CSL_AcRequestStruct | Audio Class control request structure
CSL_CdcClassStruct | CDC Control Object structure
CSL_CdcCtrlObject | CDC Control Object structure
CSL_CdcInitStructApp | CDC application data structure
CSL_CdcLineCoding | CDC line coding structure
CSL_CdcObject | CDC Mass Storage Object structure
CSL_Config | Configuration structure
CSL_DAT_ChannelObj | DAT channel object
CSL_DMA_ChannelObj | DMA channel object
CSL_DMA_Config | DMA configuration structure
CSL_GpioConfig | Config structure of GPIO. This is used to setup and get values of GPIO Registers using GPIO_config and GPIO_getConfig function
CSL_GpioObj | Structure parameters for GPIO Handle
CSL_GpioPinConfig | Input parameters for configuring a GPIO pin This is used to configure the direction and edge detection
CSL_GptObj | Object structure
CSL_I2cConfig | I2C Config structure
CSL_I2cIsrAddr | I2C callback pointer structure
CSL_I2cObj | I2C Object structure
CSL_I2cSetup | I2C Setup structure
CSL_I2sObj | Object structure
CSL_IRQ_Config | Config structure for INTC module
CSL_IRQ_Dispatch | INTC dispatch structure parameters
CSL_IrqDataObj | INTC Data object structure parameters
CSL_LcdcBaseAddress | This will have the base-address information for the peripheral instance
CSL_LcdcConfigDma | Configuration parameters for DMA engine
CSL_LcdcConfigLidd | Configuration parameters for LCDC in LIDD mode
CSL_LcdcContext | LCDC specific context information. Present implementation doesn't have any Context information
CSL_LcdcHwSetup | Input parameters for setting up LCD Controller Parameters used to put LCDC into useful state
CSL_LcdcLiddTiming | Timing parameters for LCDC in LIDD mode
CSL_LcdcObj | This object contains the reference to the instance of LCDC opened using the CSL_lcdcOpen()
CSL_LcdcParam | LCDC specific parameters. Present implementation doesn't have any specific parameters
CSL_MMCCallBackObj | Structure array of isr function for MMCSD
CSL_MMCCardCsdObj | CSD Information for MMC and SD card
CSL_MMCCardIdObj | Card identification object
CSL_MMCCardObj | Structure for card specific information
CSL_MMCCardXCsdObj | Structure for extra feature of MMC and SD Object
CSL_MMCConfig | MMC config structure for setting MMC/SD Control register
CSL_MMCControllerObj | Structure for card specific information
CSL_MMCSDCidStruct | Structure to store the CID Information for MMC and SD card
CSL_MmcsdCmd | Command structure for the card
CSL_MMCSDCsdStruct | Structure to store the CSD Information for MMC and SD card
CSL_MmcsdDmaConfig | DMA configuration structure for MMCSD module
CSL_MmcsdResponse | Response array received from the controller
CSL_MMCSetupNative | Structure to store the some default configuration for MMCSD controller
CSL_MscClassStruct | MSC Control Object structure
CSL_MscCtrlObject | MSC Control Object structure
CSL_MscInitStructApp | MSC application data structure
CSL_MscLogicalUnit | MSC Logical unit structure
CSL_MscLunAttribApp | MSC application Logical unit attribute structure
CSL_MscObject | MSC Mass Storage Object structure
CSL_MscRequestStruct | MSC control request structure
CSL_NandAsyncBank | Current Asynchronous NAND Bank configuration
CSL_NandAsyncCfg | Nand Async config structure
CSL_NandAsyncWaitCfg | Nand Async wait config structure
CSL_NandConfig | Nand Hw configuration structure
CSL_NandObj | This object contains the reference to the instance of nand device
CSL_RtcAlarm | RTC Alarm Time Structure. Contains the field of hour, minute, second and milli second for Alarm time
CSL_RtcConfig | RTC Config Structure
CSL_RtcDate | RTC Date Structure. Contains the field of year, month and day for Date
CSL_RtcIsrAddr | Declarations for interrupt routines
CSL_RtcIsrDispatchTable | Structure array of isr function for RTC
CSL_RtcTime | RTC Time Structure. Contains the field of hour, minute, second and milli second for time
CSL_SarChConfig | Structure parameters for SAR Register Configuration API
CSL_SarChSetup | Input parameters for setup API
CSL_SarHandleObj | Structure parameters for SAR handler
CSL_SdioCardObj | Structure for card specific information
CSL_SdioConfig | SDIo config structure for setting SDIO Control register
CSL_SdioControllerObj | Structure for card specific information
CSL_SdioResponse | Response array received from the controller
CSL_SpiObj | Object structure
CSL_UartConfig | UART Config structure The members of this structure directly maps to a particular register of UART
CSL_UartIsrAddr | UART callback pointer structure
CSL_UartObj | UART Object structure
CSL_UartSetup | UART Setup structure
CSL_UsbConfig | USB Config structure
CSL_UsbContext | USB context information structure
CSL_UsbDataStruct | USB data structure to send and receive data
CSL_UsbEpObj | Data Structure for USB Endpoint Object
CSL_UsbEpStatus | USB end point status structure
CSL_UsbHostBufDescr | USB DMA host buffer descriptor structure
CSL_UsbHostPktDescr | USB DMA host packet descriptor structure
CSL_UsbMsgObj | USB message object structure
CSL_UsbSetupStruct | Data structure to hold USB setup packet
CSL_UsbTransfer | USB end point transfer data structure
CSL_WdtObj | Object structure
I2S_Config | Configuration structure
PLL_Config | Config-structure
PLL_Obj | This object contains the reference to the instance of pll device
SPI_Config | Configuration structure
WDTIM_Config | Configuration structure